<?php

namespace App\Model;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Theme extends Eloquent {

	protected $table = 'themes';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function user()
	{
		return $this->hasOne('App\User');
	}

	public function sites()
	{
		return $this->hasMany('App\Model\Site', 'theme_id', 'id');
	}

}