<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class User extends Eloquent {

	protected $table = 'users';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function sites()
	{
		return $this->hasMany('App\Model\UserSite');
	}

	public function post_categories()
	{
		return $this->hasMany('App\Model\PostCategory');
	}

}