<?php

namespace App\Model;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class PostCategory extends Eloquent {

	protected $table = 'post_categories';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function user()
	{
		return $this->hasOne('App\User');
	}

}