<?php

namespace App\Model;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Slider extends Eloquent {

	protected $table = 'sliders';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function user()
	{
		return $this->hasOne('App\User');
	}

	public function category()
	{
		return $this->hasOne('App\Model\SliderCategory', 'id', 'category_id');
	}

}